#
# spec file for package perl-Storable (Version 0.6.11)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Storable
Copyright:    Copyright (c) 1999 SuSE Gmbh Nuernberg, Germany.
Group:        Development/Languages/Perl
Autoreqprov:  on
Provides:     perl_sto
Obsoletes:    perl_sto
Summary:      Perl Storable module
Version:      0.6.11
Release:      118
Source:       Storable-0.6.11.tar.gz
BuildRoot: /var/tmp/%{name}-build

%description
The Storable extension brings persistency to your data.

Authors:
--------
    Raphael Manfredi <Raphael_Manfredi@pobox.com>

SuSE series: perl

%prep
%setup -n Storable-0.6.11
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
make PREFIX=$RPM_BUILD_ROOT/usr \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod \
 | sed "s@$RPM_BUILD_ROOT@@g" \
 > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-Storable
cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/Storable
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%doc %{_mandir}/man3/*
%doc README
%doc MANIFEST 
%doc ChangeLog
/usr/lib/perl5/site_perl/5.*/*-linux/*.pm
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Storable
/var/adm/perl-modules/perl-Storable

%clean
rm -r $RPM_BUILD_ROOT

%changelog -n perl-Storable
* Tue Nov 07 2000 - ro@suse.de
- renamed package perl_sto to perl-Storable
* Mon Sep 25 2000 - ro@suse.de
- sorted
* Mon Aug 21 2000 - ro@suse.de
- adapted for perl-5.6
* Wed Jun 28 2000 - ro@suse.de
- created package, version 0.6.11
